server {
    listen 911 ssl;
    server_name blog.nerocats.com;
    root  /var/www/html/Typecho_VOID;
    index index.html index.htm index.php tz.php;
    ssl_certificate   /etc/nginx/cert/2391205_blog.nerocats.com.pem;
    ssl_certificate_key  /etc/nginx/cert/2391205_blog.nerocats.com.key;
    ssl_session_timeout 5m;
    ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
    ssl_protocols  TLSv1.1 TLSv1.2 TLSv1.3;
    ssl_prefer_server_ciphers on;
    add_header Strict-Transport-Security "max-age=31536000";
    location / {
       root   /usr/share/nginx/html/Typecho_VOID/;
       include /etc/nginx/other/Typecho-blog.conf;
       include /etc/nginx/other/typecho.conf;
       #otherconf
     }
}
server { 
    listen 91; 
    server_name blog.nerocats.com; 
    rewrite ^(.*)$ https://$host$1 permanent;
}